Subject: Re: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Aug 2016 18:29:07 +0300

> Date: Tue, 30 Aug 2016 14:38:48 +0200
> From: Yuri D'Elia <[email-masked]>
> 
> I've also stumbled on this bug when using mu4e.
> I've rebuilt the current emacs from git (4961cc3f368d9114c305efe6243987bcfa3fd29b) with:
> 
>   '--with-x-toolkit=lucid' 'CFLAGS=-O0 -ggdb3'
> 
> I've used lucid as that's the normal tk I use. I managed to hang emacs the same
> way I currently do on 24.5 (from debian), by scrolling through a *mu4e-headers*
> view. C-g does nothing.
> 
> The backtrace is as follows:
> [...]

I see nothing abnormal in the backtrace, at least not at a glance.

> Emacs is stuck in try_window calling display_line, where the "it" parameter remains constant.

What do you mean by "it parameter remains constant"?  That is a large
structure; what parts of it remain constant?

> I'm attaching the output of *it in the email, hoping it might be useful.

Thanks, but it by itself doesn't help enough.  I need to see the text
that Emacs is trying to display, at least.